/* ftok.c (emx+gcc) -- Copyright (c) 1998 by Holger Veit */

#include <errno.h>
#include <sys/types.h>
#include <sys/fcntl.h>
#include <sys/stat.h>
#include <sys/ipc.h>
#include <sys/shm.h>

key_t ftok(const char* pathname, int proj_id)
{
    struct stat s;
    key_t k;
    int i;

    if (stat(pathname, &s) < 0)
        return (key_t)-1;

    for (k=0,i=0; i<strlen(pathname); i++)
        k += (pathname[i] * 997) % 129; /* try to randomize it a bit */
    k ^= (proj_id | (proj_id <<12));

    return k;
}
