/* msgrcv.c (emx+gcc) -- Copyright (c) 1998 by Holger Veit */

#include <sys/fcntl.h>
#include <errno.h>
#include <emx/io.h>
#include <emx/syscalls.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/msg.h>

void* msgrcv(int msqid, void* msgp, size_t msgsz, long msgtyp, int msgflg)
{
  struct _msgargs ma;
  ma.u.rcv.id = msqid;
  ma.u.rcv.msgp = msgp;
  ma.u.rcv.sz = msgsz;
  ma.u.rcv.typ = msgtyp;
  ma.u.rcv.flg = msgflg;
  return __msgsys(3,&ma);
}
