/* semop.c (emx+gcc) -- Copyright (c) 1998 by Holger Veit */

#include <sys/fcntl.h>
#include <errno.h>
#include <emx/io.h>
#include <emx/syscalls.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/sem.h>

void* semop(int semid,struct sembuf* sops, unsigned nsops)
{
  struct _semargs ea;
  ea.u.op.id = semid;
  ea.u.op.ops = sops;
  ea.u.op.ns = nsops;
  return __semsys(2,&ea);
}
