
# This is CPAN.pm's systemwide configuration file. This file provides
# defaults for users, and the values can be changed in a per-user
# configuration file. The user-config file is being looked for as
# ~/.cpan/CPAN/MyConfig.pm.

$CPAN::Config = {
  'build_cache' => q[10],
  'build_dir' => q[h:\HOME\VEIT/.cpan/build],
  'cpan_home' => q[h:\HOME\VEIT/.cpan],
  'ftp' => q[d:/tcpip/bin/ftp.exe],
  'ftp_proxy' => q[],
  'getcwd' => q[cwd],
  'gzip' => q[h:/tools/os2/gzip.exe],
  'http_proxy' => q[],
  'inactivity_timeout' => q[0],
  'index_expire' => q[1],
  'inhibit_startup_message' => q[0],
  'keep_source_where' => q[h:\HOME\VEIT/.cpan/sources],
  'lynx' => q[],
  'make' => q[h:/xfree86/bin/make.cmd],
  'make_arg' => q[SHELL= ],
  'make_install_arg' => q[SHELL= ],
  'makepl_arg' => q[],
  'ncftp' => q[],
  'ncftpget' => q[],
  'no_proxy' => q[],
  'pager' => q[more],
  'prerequisites_policy' => q[follow],
  'scan_cache' => q[atstart],
  'shell' => q[cmd.exe],
  'tar' => q[h:/emx/bin/tar.exe],
  'unzip' => q[h:/tools/os2/unzip.exe],
  'urllist' => [q[ftp://ftp.gmd.de/packages/CPAN/], q[ftp://ftp.gwdg.de/pub/languages/perl/CPAN/], q[ftp://ftp.leo.org/pub/comp/general/programming/languages/script/perl/CPAN/]],
  'wait_list' => [q[wait://ls6.informatik.uni-dortmund.de:1404]],
};
1;
__END__
