/* semctl.c (emx+gcc) -- Copyright (c) 1998 by Holger Veit */

#include <sys/fcntl.h>
#include <errno.h>
#include <emx/io.h>
#include <emx/syscalls.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/sem.h>

void* semctl(int semid, int semnum, int cmd, union semun semun)
{
  struct _semargs ea;
  ea.u.ctl.id = semid;
  ea.u.ctl.num = semnum;
  ea.u.ctl.cmd = cmd;
  ea.u.ctl.un = &semun;
  return __semsys(0,&ea);
}
