/* semget.c (emx+gcc) -- Copyright (c) 1998 by Holger Veit */

#include <sys/fcntl.h>
#include <errno.h>
#include <emx/io.h>
#include <emx/syscalls.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/sem.h>

void* semget(key_t key, int nsems, int semflg)
{
  struct _semargs ea;
  ea.u.get.key = key;
  ea.u.get.ns = nsems;
  ea.u.get.flg = semflg;
  return __semsys(1,&ea);
}
