/* shmat.c (emx+gcc) -- Copyright (c) 1998 by Holger Veit */

#include <sys/fcntl.h>
#include <errno.h>
#include <emx/io.h>
#include <emx/syscalls.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>

void* shmat(int shmid, void* shmaddr, int shmflg)
{
  struct _shmargs sa;
  sa.u.at.id = shmid;
  sa.u.at.addr = shmaddr;
  sa.u.at.flg = shmflg;
  return __shmsys(0,&sa);
}
