/* shmctl.c (emx+gcc) -- Copyright (c) 1998 by Holger Veit */

#include <sys/fcntl.h>
#include <errno.h>
#include <emx/io.h>
#include <emx/syscalls.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>

int shmctl(int shmid, int cmd, struct shmid_ds* buf)
{
  struct _shmargs sa;
  sa.u.ctl.id = shmid;
  sa.u.ctl.cmd = cmd;
  sa.u.ctl.buf = (void*)buf;
  return (int)__shmsys(1,&sa);
}
