/* shmget.c (emx+gcc) -- Copyright (c) 1998 by Holger Veit */

#include <sys/fcntl.h>
#include <errno.h>
#include <emx/io.h>
#include <emx/syscalls.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>

void* shmget(key_t key, int size, int shmflg)
{
  struct _shmargs sa;
  sa.u.get.key = key;
  sa.u.get.sz = size;
  sa.u.get.flg = shmflg;
  return __shmsys(3,&sa);
}
